# PhasicFlow: utilities/pFlowToVTK/pFlowToVTK.cpp File Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

pFlowToVTK.cpp File Reference
Include dependency graph for pFlowToVTK.cpp:

Go to the source code of this file.

## Functions

int | main (int argc, char **argv)

## Variables

bool | bindaryOutput__

## Function Documentation

## main()

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

Definition at line 35 of file pFlowToVTK.cpp.

References combinedRange< T >::addIntervalRange(), commandLine::addOption(), combinedRange< T >::addRanges(), bindaryOutput__, Control, pFlow::PFtoVTK::convertTimeFolderPointFields(), pFlow::PFtoVTK::convertTimeFolderPointFieldsSelected(), pFlow::TSFtoVTK::convertTimeFolderTriSurfaceFields(), pFlow::CWD(), Cyan_Text, END_INFO, END_REPORT, pFlow::endl(), timeFolder::endTime(), pFlow::equal(), fatalExit, pFlow::geometryFolder__, INFORMATION, combinedRange< T >::isMember(), pFlow::output, commandLine::parse(), REPORT, timeFolder::startTime(), timeFolder::time(), and Vector< T, Allocator >::vectorField().

Here is the call graph for this function:

## Variable Documentation

## bindaryOutput__

bool bindaryOutput__

Definition at line 33 of file pFlowToVTK.cpp.

Referenced by pFlow::PFtoVTK::addIntPointField(), pFlow::PFtoVTK::addRealPointField(), pFlow::PFtoVTK::addRealx3PointField(), pFlow::PFtoVTK::addUndstrcuturedGridField(), pFlow::PFtoVTK::convertTimeFolderPointFields(), pFlow::PFtoVTK::convertTimeFolderPointFieldsSelected(), and main().